Bug Hunting Session
Bug 118123 - Tango shouldnt be falling back on Colibre
Summary: Tango shouldnt be falling back on Colibre
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.0.2
Keywords:
Depends on:
Blocks: Icon-Themes
  Show dependency treegraph
 
Reported: 2018-06-12 09:07 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-07-20 11:06 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2018-06-12 09:07:27 UTC
The Colibre icons dont go well as falling back on Tango, so Galaxy should be returned as the fallback for Tango.
Comment 1 V Stuart Foote 2018-06-12 21:14:18 UTC
Sorry Jay, going to push this back over to the original bug 116696 issue where we dropped Galaxy for Colibre--for better or worse.

*** This bug has been marked as a duplicate of bug 116696 ***
Comment 2 andreas_k 2018-06-12 21:27:28 UTC
This bug is definitely no duplicate of bug 11696.

Tango MUST fallback to Galaxy otherwise you destroy Tango, cause around 60% of Tango icons come from Galaxy. Tango can't live without Galaxy and Colibre is definitely no usefull fallback for Tango.
Comment 3 V Stuart Foote 2018-06-12 21:40:45 UTC
Hmmm, not sure I follow your reasoning Andreas? In bug 116696 cmnt 10 you agree the replacement of Galaxy by Colibre offers complete coverage--so Galaxy should go.  Admittedly the 3D Tango styling is rather off the design aesthetic of Colibre, but so?

As long as there is full icon coverage--what difference does the fall back make? Here it just points out how incomplete Tango by itself is.
Comment 4 andreas_k 2018-06-13 06:21:15 UTC
I am pro colibre as global fallback but tango doesnt work without galaxy. So l suggest to define as tango fallback galaxy and for global fallback colibre.

Second option would be to merge tango with galaxy than the galaxy fallback is not needed cause galaxy is included in tango.but this will be done ordinary when you would offer tango as extension. As long as tango and galaxy are in core.
Comment 5 Heiko Tietze 2018-06-13 07:34:04 UTC
Colibre is the ultimate fallback when icons are not available in a theme. That's not perfect in case of Breeze, for example, but actually all of our themes should be almost complete now. Closing this ticket as WFM.
Comment 6 Yousuf Philips (jay) (retired) 2018-06-20 14:07:24 UTC
(In reply to V Stuart Foote from comment #3)
> Hmmm, not sure I follow your reasoning Andreas? In bug 116696 cmnt 10 you
> agree the replacement of Galaxy by Colibre offers complete coverage--so
> Galaxy should go.  Admittedly the 3D Tango styling is rather off the design
> aesthetic of Colibre, but so?

The difference is that those who have been used to seeing tango (our previous default) with the galaxy fallback will now see tango with colibre fallback which isnt.

Heiko stated in last week's meeting that Galaxy has been removed and that is why tango can no longer fall back on Galaxy. Is this correct? If this is correct, then all the tango icons that are missing and are in galaxy should be copied over, just like what we did with industrial icons when we removed that icon theme.
Comment 7 Commit Notification 2018-07-14 19:31:51 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=836074f8532fee46b6bf073f7d6beff231448ad6

tdf#118123 Tango shouldn't fallback to Colibre

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-07-15 04:51:31 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e315d631c08454d8688d15cd52ce8e3839972530&h=libreoffice-6-1

tdf#118123 Tango shouldn't fallback to Colibre

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Heiko Tietze 2018-07-20 11:06:41 UTC
Andreas copied missing icons from Galaxy so Tango is complete as well. Closing as fixed.